<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!-- ______________________________________________________________    -->
<!-- Stylesheet for "ePBLpaper11.dtd" by Vivian Synteta, Copyright,2004-->
<!-- Language: French    ________________________________________      -->
<!-- Changes: 10/05/2004 ________________________________________      -->
<!-- ____________________________________________________________      -->

 <!-- Root xsl:template - start processing here -->
 <xsl:template match="paper">
  <xsl:processing-instruction name="cocoon-format">type="text/html"
  </xsl:processing-instruction>
  <HTML>
   <HEAD>
    <TITLE>
      <xsl:value-of select="paper/info/title" />
    </TITLE>
	<style type="text/css">

     body {font-family : Arial, Helvetica ; font-size : 10pt; border-left: 1cm}
     H2.title {font-family : Arial, Helvetica ; font-size : 11pt}     
     th {font-family : Arial, Helvetica ; font-size : 11pt; font-weight:bold;}     
     td,b {font-family : Arial, Helvetica ; font-size : 10pt}     
     b.abstract {font-family : Arial, Helvetica ; font-size : 10pt, font-style : italic}  
     p {margin-bottom: 0.3cm; margin-top: 0.3cm}
     ul {margin-bottom: 0.2cm; margin-top: 0.2cm}

	</style>
   </HEAD>
   
   <BODY bgcolor="#FFFFFF">
    <xsl:apply-templates />	    
   </BODY>
  </HTML>
    
 </xsl:template>
 

 <xsl:template match="info">
   <center>
     <h1><xsl:value-of select="title"/></h1>
     Date: <xsl:value-of select="date"/>, Mise  jour: <xsl:value-of select="updated"/><br />
     <xsl:apply-templates select="authors" />
     <xsl:apply-templates select="keywords" />
   </center>
 </xsl:template>

 <xsl:template match="authors">
  <xsl:apply-templates select="author" />
 </xsl:template>

 <xsl:template match="author">
  <xsl:apply-templates select="homepageurl" />
  <xsl:apply-templates select="email" />
  <br />
 </xsl:template>

 <xsl:template match="homepageurl">
   <a href="{.}">
     <xsl:value-of select="../firstname"/> <xsl:value-of select="../familyname"/>
   </a>, 
 </xsl:template>

 <xsl:template match="email">
   {<a href="mailto:{.}"><xsl:value-of select="."/></a>}
 </xsl:template>


 <xsl:template match="keywords">
  MOTS CLES: <xsl:apply-templates select="keyword" />
 </xsl:template>

 <xsl:template match="keyword">
  <xsl:apply-templates /> - 
 </xsl:template>

 <xsl:template match="abstract">
   <p>
     [<a href="#abstract">Resum</a>]
   [<a href="#preface">Preface</a>]
   [<a href="#intro">Introduction</a>]
   [<a href="#main">Discussion du travail</a>]
   [<a href="#conclusion">Conclusions</a>]
   [<a href="#references">Bibliographie</a>]
   [<a href="#annex">Annexe</a>]
   [<a href="#aknowledgements">Remerciements</a>]
  </p>
  <p />
  <a name="abstract">	 
  <h2>RESUME</h2>
  </a>  	 
  <xsl:apply-templates />
 </xsl:template>
 
 <xsl:template match="preface">
  <p />
  <a name="preface">	 
  <h2>PREFACE</h2>
  </a>
  <xsl:apply-templates />
 </xsl:template>

 <xsl:template match="introduction">
  <p />
  <a name="intro">
    <h2>INTRODUCTION</h2>
    </a>	  	  
  <xsl:apply-templates />
 </xsl:template>

 <xsl:template match="main">
  <p />
  <a name="main">	 
  <h2>DISCUSSION DU TRAVAIL</h2>
  </a> 	 
  <xsl:apply-templates />
 </xsl:template>

 <xsl:template match="conclusion">
  <p />
  <a name="conclusion">	 
  <h2>CONCLUSIONS</h2>
  </a> 	 	 
  <xsl:apply-templates />
 </xsl:template>

 <xsl:template match="references">
  <p />
  <a name="references">	 
  <h2>BIBLIOGRAPHIE</h2>
  </a> 	 	 
  <xsl:apply-templates />
 </xsl:template>

 <xsl:template match="reference">
   <xsl:if test="@id">
     <a name="{@id}"></a>
   </xsl:if>
   <p>
     <xsl:apply-templates />
     <xsl:if test="@ref">
       <a href="#{@ref}">[cf.]</a>
     </xsl:if>
   </p> 
 </xsl:template>

 <xsl:template match="annex">
  <p />
  <a name="annex">
    <h2>ANNEXE</h2>	 
  </a>  	 	 
  <xsl:apply-templates />
 </xsl:template>

 <xsl:template match="aknowledgements">
  <p />
  <a name="aknowledgements">
    <h2>REMERCIEMENTS</h2>
  </a>
  <xsl:apply-templates />
 </xsl:template>

 <xsl:template match="*|@*">
   <xsl:if test="@id">
     <a name="{@id}"></a>
   </xsl:if>
   <xsl:copy>
     <xsl:apply-templates select="@*"/>
     <xsl:apply-templates select="node()"/>
   </xsl:copy>
   <xsl:if test="@ref">
     <a href="#{@ref}">[cf.]</a>
   </xsl:if>
 </xsl:template> 

</xsl:stylesheet>