<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!-- ______________________________________________________________       -->
<!-- Stylesheet for "ePBLproject11.dtd" by Vivian Synteta, Copyright 2004 -->
<!-- Language: French    ________________________________________         -->
<!-- Changes: 12/5/2004 ________________________________________          -->
<!-- ____________________________________________________________         -->

   <xsl:template match="project">
   <xsl:processing-instruction name="cocoon-format">type="text/html"</xsl:processing-instruction>
   <html>
    <head>
     <title>
	<xsl:value-of select="project/title" />
     </title>
     <style type="text/css">
     
     body {font-family : Arial, Helvetica ; font-size : 10pt; border-left: 1cm}
     H2.title {font-family : Arial, Helvetica ; font-size : 11pt}     
     H3 {font-family : Arial, Helvetica ; font-size : 10pt}     

     th {font-family : Arial, Helvetica ; font-size : 11pt; font-weight:bold;}     
     td,b {font-family : Arial, Helvetica ; font-size : 10pt}     
     b.abstract {font-family : Arial, Helvetica ; font-size : 10pt, font-style : italic}  
     p {margin-bottom: 0.5cm; margin-top: 0.5cm}
     div.workpackage {border-style: double;}	
     div.authors, div.dates {text-align: center;}
     </style>		
    </head>

   <BODY bgcolor="#FFFFFF">
    <xsl:apply-templates />	    
   </BODY>

   </html>
  </xsl:template>


 <xsl:template match="name">
   <center>
     <h1><xsl:value-of select="."/></h1>
   </center>
 </xsl:template>

<xsl:template match="authors">
 <div class="authors"><b>Auteurs: </b><xsl:value-of select="."/> </div>
 </xsl:template>

 <xsl:template match="date">
   <div class="dates"><b>Date: </b><xsl:value-of select="."/></div>
 </xsl:template>


 <xsl:template match="updated">
   <div class="dates"><b>Date de la derniere mise a jour: </b><xsl:value-of select="."/></div><br />
 <center>
   [<a href="#goal">BUT</a>]
 [<a href="#stateoftheart">REVUE DE LA LITERATURE</a>]
 [<a href="#rdquestions">QUESTIONS DE RECHERCHE ET DEVELOPPEMENT</a>]
 [<a href="#methodology">METHODOLOGIE</a>]
 [<a href="#workpackages">WORKPACKAGES</a>] 
</center>
</xsl:template>

 <xsl:template match="goal">
  <p />
  <a name="goal">	 
  <h2>BUT</h2>
  </a>
  <p>
  <b><xsl:apply-templates select="title" /></b><br />
  <xsl:apply-templates select="description" />
  </p>
 </xsl:template>

 <xsl:template match="state-of-the-art">
  <p />
   <xsl:if test="@id">
     <a name="{@id}"></a>
   </xsl:if>
  <a name="stateoftheart">	 
  <h2>REVUE DE LA LITERATURE</h2>
  </a>
  <xsl:apply-templates />
 </xsl:template>

 <xsl:template match="research-development-questions">
  <p />
  <a name="rdquestions">	 
  <h2>QUESTIONS DE RECHERCHE ET DEVELOPPEMENT</h2>
  </a>
  <xsl:apply-templates select="question" />
 </xsl:template>

 <xsl:template match="question">
  <p>
  <b><xsl:number />. <xsl:apply-templates select="title" /></b><br />
  <xsl:apply-templates select="description" />
  </p>
 </xsl:template>

 <xsl:template match="methodology">
  <p />
   <xsl:if test="@id">
     <a name="{@id}"></a>
   </xsl:if>
  <a name="methodology">	 
  <h2>METHODOLOGIE</h2>
  </a>
  <xsl:apply-templates />
 </xsl:template>

 <xsl:template match="workpackages">
  <p />
  <a name="workpackages">	 
  <h2>WORKPACKAGES</h2>
  </a>
  <xsl:apply-templates select="workpackage" />
 </xsl:template>

 <xsl:template match="workpackage">
	<br />
	<xsl:if test="@id">
		<a name="{@id}"></a>
	</xsl:if>
	<b>WP<xsl:number value="position()" format="1 " /> (DEBUT: <xsl:apply-templates select="planning/from" />, FIN: <xsl:apply-templates select="planning/to" />, PROGRES: <xsl:apply-templates select="planning/progress" /> %)</b>
	<div class="workpackage">			
   	<p><xsl:apply-templates /></p>
	</div>	
 </xsl:template>


 <xsl:template match="objectives">
  <h3>OBJECTIFS</h3>
  <xsl:apply-templates select="objective" />
 </xsl:template>

 <xsl:template match="objective">
  <p>
  <b><xsl:number />. <xsl:apply-templates select="title" /></b><br />
  <xsl:apply-templates select="description" />
  </p>
 </xsl:template>

 <xsl:template match="deliverables">
  <h3>DELIVERABLES</h3>
  <xsl:apply-templates select="deliverable" />
 </xsl:template>

 <xsl:template match="deliverable">
  <p>
  <b>URL:</b> <xsl:apply-templates select="url" /><br />
  <b><xsl:number />. <xsl:apply-templates select="title" /></b><br />
  <xsl:apply-templates select="description" />
  </p>
 </xsl:template>

<xsl:template match="url">
  - <a href="{.}"><xsl:value-of select="."/></a>
</xsl:template>

 <xsl:template match="planning">
 </xsl:template>


<xsl:template match="title">
   <xsl:if test="@id">
     <a name="{@id}"></a>
   </xsl:if>
  <xsl:apply-templates />
</xsl:template>

<xsl:template match="description">
  <xsl:apply-templates />
</xsl:template>


 <xsl:template match="*|@*">
   <xsl:if test="@id">
     <a name="{@id}"></a>
   </xsl:if>
   <xsl:copy>
     <xsl:apply-templates select="@*"/>
     <xsl:apply-templates select="node()"/>
   </xsl:copy>
   <xsl:if test="@ref">
     <a href="#{@ref}">[cf.]</a>
   </xsl:if>
 </xsl:template> 

</xsl:stylesheet>
